All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.net.connect
Class TelnetScriptingTool

    com.sas.net.connect.TelnetScriptingTool

    public class TelnetScriptingTool

A tool that telnets to host and starts a SAS/CONNECT server, but does not link a SAS/CONNECT client to it.

Constructor Summary
`TelnetScriptingTool(java.util.Properties info)` constructor

Method Summary
`int` | `connect(java.lang.String host)` Connects to the host using the default Telnet port of 23 and starts the server.
`int` | `connect(java.lang.String host, int port)` Connects to the host and starts the server.
`void` | `disconnect()` disconnect the telnet session.

Constructor Detail

### TelnetScriptingTool

    public TelnetScriptingTool(java.util.Properties info)

  constructor

  Parameters:
    `info` - parameters for the connection

Method Detail

### connect

    public int connect(java.lang.String host)
                throws java.io.IOException

  Connects to the host using the default Telnet port of 23 and starts the server.

  Parameters:
    `host` - the host name or address of the remote machine.
  Throws:
    `java.io.IOException` - if an exception is detected.

### connect

    public int connect(java.lang.String host,
                       int port)
                throws java.io.IOException

  Connects to the host and starts the server.

  Parameters:
    `host` - the host name or address of the remote machine.
    `port` - the port that the telnet daemon is listening to.
  Throws:
    `java.io.IOException` - if an exception is detected.

### disconnect

    public void disconnect()
                    throws java.io.IOException

  disconnect the telnet session. This will bring down the SAS/CONNECT server if it is still running.

  Throws:
    `java.io.IOException` - if there is an error

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.